POST resource/vote-document

Method for vote document

Request Information

Headers

HTTP_AUTHORIZATION: Required. OAuth 1.0 parameters with the OAuth signature of the url you are going to request. The consumer keys and access token can be obtained from the community administration.

Sample:
        HTTP_AUTHORIZATION:
            OAuth oauth_token="CObXqjfOisVh9%2F2GjC7NNd8BCzY%3D",
            oauth_consumer_key="clGACsiGaMp%2FD%2BUwkSvRBxA1k50%3D",
            oauth_nonce="VqKza6d5x1HpPQWFe08spbdOnkTQpfaLfD9Oeuyg",
            oauth_signature_method="HMAC-SHA1",
            oauth_timestamp="1462882011",
            oauth_signature="RH5aKKKJaEvK5cIsZZzXtFh7cCk%3D"
    

Body Parameters

NameDescriptionTypeAdditional information
resource_id

Resource identificator

globally unique identifier

Required

user_id

User identificator who has voted the resource

globally unique identifier

Required

project_id

Project identificator

globally unique identifier

Required

vote_value

Vote value

decimal number

Required

Request Formats

application/json, text/json

Sample:
{
  "resource_id": "d71aada4-0777-456c-a772-e9c21513cdec",
  "user_id": "8871302c-2032-46a2-9041-5a8022a333c4",
  "project_id": "092ec8d9-fb65-4665-93f9-e588fae034a2",
  "vote_value": 4.1
}

Response Information

Response HTTP status code

On success, the response contains 200 code.

On fail, throws a WebException with code:

  • 401 Unauthorized if the OAuth signature is invalid
  • 400 Bad Request if the params are invalid
  • 500 Internal server error if something goes wrong...